List Scheduled Playlists
scheduledplaylist.
curl -X GET "https://api.5centscdn.com/v2/streams/scheduledplaylist?page=1" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/scheduledplaylist?page=1"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/scheduledplaylist?page=1", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/scheduledplaylist?page=1", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/scheduledplaylist?page=1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"streams": [
{
"monitoring_id": null,
"type": "scheduledplaylist",
"id": 72274,
"serviceid": 103,
"name": "103_push_2314_001/testing",
"codec": "h264",
"ingests": [
[],
null
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": 2314,
"server": "N",
"backup": "N",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "0",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-05-01 13:18:21",
"updated_at": "2026-05-01 13:18:21",
"lastseen_at": false,
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Enabled",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 0,
"rtmpauth": "Y"
},
"fms": {
"server": {
"country": "SouthEast Asia",
"meta": {
"fmsUrl": "rtmp://fms-01-01.5centscdn.com"
}
}
},
"parts": {
"pp": "103_push_2314_001",
"sn": "testing",
"full": "103_push_2314_001testing"
},
"restream": {},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist_dvr.m3u8",
"dashManifest": "manifest_dvr.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "5o2urlizjddt7ng1",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=103_push_2314_001/testing",
"base": "https://cdn.example.com/player/hls/skin1/5o2urlizjddt7ng1/",
"hls": "https://cdn.example.com/player/hls/skin1/5o2urlizjddt7ng1/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=103_push_2314_001/testing",
"dash": "https://cdn.example.com/player/dash/skin1/5o2urlizjddt7ng1/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=103_push_2314_001/testing"
}
},
"tokenized": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist_dvr.m3u8",
"dashManifest": "manifest_dvr.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"hostname": "cdn.example.com",
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://cdn.example.com/flowplayer/dash/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://cdn.example.com/videojs/dash/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "5o2urlizjddt7ng1",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=103_push_2314_001/testing",
"base": "https://cdn.example.com/player/hls/skin1/5o2urlizjddt7ng1/",
"hls": "https://cdn.example.com/player/hls/skin1/5o2urlizjddt7ng1/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=103_push_2314_001/testing",
"dash": "https://cdn.example.com/player/dash/skin1/5o2urlizjddt7ng1/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=103_push_2314_001/testing"
}
},
"path": {
"hls": "/103_push_2314_001/ed9fea0d361483a7f5e17a7e220b36bf.sdp/playlist_dvr.m3u8",
"dash": "/103_push_2314_001/ed9fea0d361483a7f5e17a7e220b36bf.sdp/manifest_dvr.mpd"
},
"token": {
"hls": "md5=sUQdTHHJLBHLtp7acVEpOA&path=%2F103_push_2314_001%2Fed9fea0d361483a7f5e17a7e220b36bf.sdp&expires=1777996426",
"dash": "md5=sUQdTHHJLBHLtp7acVEpOA&path=%2F103_push_2314_001%2Fed9fea0d361483a7f5e17a7e220b36bf.sdp&expires=1777996426"
}
}
},
"platformsCount": 0,
"ssl_enabled": true,
"hash": "ed9fea0d361483a7f5e17a7e220b36bf.sdp",
"securetoken": {
"enabled": "Y",
"policy": "D",
"keyip": "N",
"list": "32862cdb6276e19a",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "Y"
},
"preroll": "N",
"loop": "N",
"zone": {
"id": 2314,
"type": "push",
"mode": "http",
"name": "push-2314",
"ftpdetails": {
"username": "vineeth_103_push_2314"
}
},
"hasInstantSchedule": true,
"playlistCount": 2,
"playlists": [
{
"id": 9265,
"streamid": 72274,
"name": "default",
"schedule": "instant",
"scheduletime": 0,
"type": "file",
"repeatfor": 0,
"repeatintervaldays": 0,
"loop": "1",
"length": "00:00:00",
"autorestart": "0",
"videos": [
{
"src": "/2.mp4",
"start": "0",
"duration": "0",
"ad_breaks": [
{
"start": 67,
"duration": 30
}
]
}
],
"serviceid": 103,
"files": [
"/2.mp4"
],
"durations": [
[
0,
0
]
],
"ad_breaks": [
[]
]
}
],
"domainlock": {
"enabled": "Y",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "N",
"active": "Y"
},
"geoblock": {
"enabled": "Y",
"policy": "Y",
"list": [
""
],
"ips": "",
"active": "Y"
},
"ipaccess": {
"enabled": "Y",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "Y",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true,
"id": 71979,
"autostop": 0,
"vprofiles": [
"12345",
"12345",
"12345"
],
"aprofiles": [
"12345"
],
"filters": [],
"disabled": "0",
"count": 5,
"countRaw": 5,
"codec": "h264",
"isRunning": false,
"profiles": {
"count": {
"total": 5,
"sd": 5
}
}
},
"platforms": [
{
"id": 43459,
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"auth": "Y",
"username": "admin",
"password": "password",
"isSRT": false,
"key": "password",
"schedule": "scheduleontime",
"scheduletime": "06:12",
"codec": null,
"length": "19:14",
"relid": 57197,
"dedicatedLTC": "0",
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"disabled": "0",
"name": "Custom RTMP",
"platform_id": 1,
"provider_id": 0,
"video_id": ""
}
],
"messages": {},
"adInsertion": {
"id": 11,
"relid": 71979,
"type": "stream",
"enabled": "Y",
"policy": "1",
"provider": "Google Ad Manager",
"meta": {
"adserver": {
"url": "https://adserver.example.com/vast.php",
"queryParameters": [
{
"name": "src_url",
"type": "from-variable",
"value": "SOURCE_URL"
}
],
"adOrigin": {},
"name": "5-103-71979-adserver",
"template": "custom",
"id": 209822
},
"adreplacement": {
"token": "4b004a3dd6a7128abb31e13b5289ca8528a0f6e7",
"enabled": "Y",
"scte35": {
"adBreakTriggers": [
"0x22",
"0x30",
"0x32",
"splice_insert"
],
"markersToRemove": [
"ALL"
]
},
"gapFiller": "",
"maxAdDurationExcess": "0",
"pastAdBreakReplacement": "0",
"pastAdBreakReplacementValue": "",
"onStartWithinAdBreak": "replace"
},
"adpreroll": {
"maxDuration": 30,
"offset": 0
}
},
"defaultDuration": 30,
"created_at": "2026-05-04 16:20:56",
"schedules": [],
"active": "Y"
}
}
]
}
GET
/streams/scheduledplaylist
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Query Parameters
pageinteger
Example:
1Responses
resultstring
Status of the API response.
streamsarray
List of live streams.
Was this page helpful?